Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.referencing.cs
Class RangeMeaning

    Object
      CodeList<RangeMeaning>
          RangeMeaning

All Implemented Interfaces:
  Serializable, Comparable<RangeMeaning>

    @UML(identifier="CS_RangeMeaning",
         specification=ISO_19111)
    public final class RangeMeaning

extends CodeList<RangeMeaning>

Meaning of the axis value range specified through minimum value and maximum value.

Since:
  GeoAPI 2.1
Version:
  Abstract specification 2.0
See Also:
  `CoordinateSystemAxis.getRangeMeaning()`, Serialized Form

Field Summary
`static RangeMeaning` | `EXACT` Any value between and including minimum value and maximum value is valid.
`static RangeMeaning` | `WRAPAROUND` The axis is continuous with values wrapping around at the minimum value and maximum value.

Method Summary
`CodeList[]` | `family()` Returns the list of enumerations of the same kind than this enum.
`static RangeMeaning` | `valueOf(String code)` Returns the RangeMeaning that matches the given string, or returns a new one if none match it.
`static RangeMeaning[]` | `values()` Returns the list of `RangeMeaning`s.

Methods inherited from class CodeList
`compareTo, name, ordinal, readResolve, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### EXACT

    @UML(identifier="exact",
         obligation=CONDITIONAL,
         specification=ISO_19111)
    public static final RangeMeaning EXACT

  Any value between and including minimum value and maximum value is valid.

### WRAPAROUND

    @UML(identifier="wraparound",
         obligation=CONDITIONAL,
         specification=ISO_19111)
    public static final RangeMeaning WRAPAROUND

  The axis is continuous with values wrapping around at the minimum value and maximum value. Values with the same meaning repeat modulo the difference between maximum value and minimum value.

Method Detail

### values

    public static RangeMeaning[] values()

  Returns the list of `RangeMeaning`s.

### family

    public CodeList[] family()

  Returns the list of enumerations of the same kind than this enum.

  Specified by:
    `family` in class `CodeList<RangeMeaning>`

### valueOf

    public static RangeMeaning valueOf(String code)

  Returns the RangeMeaning that matches the given string, or returns a new one if none match it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.